# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.680   -> 1.681  
#	drivers/usb/misc/speedtouch.c	1.2     -> 1.3    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/10/02	greg@kroah.com	1.681
# USB: speedtouch driver fix due to ioctl function parameter change
# --------------------------------------------
#
diff -Nru a/drivers/usb/misc/speedtouch.c b/drivers/usb/misc/speedtouch.c
--- a/drivers/usb/misc/speedtouch.c	Wed Oct  2 22:40:14 2002
+++ b/drivers/usb/misc/speedtouch.c	Wed Oct  2 22:40:14 2002
@@ -163,11 +163,11 @@
 void udsl_atm_processqueue (struct udsl_instance_data *instance);
 
 static struct atmdev_ops udsl_atm_devops = {
-	open:udsl_atm_open,
-	close:udsl_atm_close,
-	ioctl:udsl_atm_ioctl,
-	send:udsl_atm_send,
-	proc_read:udsl_atm_proc_read,
+	.open =		udsl_atm_open,
+	.close =	udsl_atm_close,
+	.ioctl =	udsl_atm_ioctl,
+	.send =		udsl_atm_send,
+	.proc_read =	udsl_atm_proc_read,
 };
 
 struct udsl_atm_dev_data {
@@ -182,7 +182,7 @@
 static void udsl_usb_disconnect (struct usb_interface *intf);
 int udsl_usb_send_data (struct udsl_instance_data *instance, struct atm_vcc *vcc,
 			struct sk_buff *skb);
-static int udsl_usb_ioctl (struct usb_device *hub, unsigned int code, void *user_data);
+static int udsl_usb_ioctl (struct usb_interface *intf, unsigned int code, void *user_data);
 static int udsl_usb_cancelsends (struct udsl_instance_data *instance, struct atm_vcc *vcc);
 
 static struct usb_driver udsl_usb_driver = {
@@ -886,8 +886,9 @@
 #define hex2int(c) ( (c >= '0')&&(c <= '9') ?  (c - '0') : ((c & 0xf)+9) )
 
 
-static int udsl_usb_ioctl (struct usb_device *dev, unsigned int code, void *user_data)
+static int udsl_usb_ioctl (struct usb_interface *intf, unsigned int code, void *user_data)
 {
+	struct usb_device *dev = interface_to_usbdev (intf);
 	struct udsl_instance_data *instance;
 	int i;
 
